package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 虚拟网格对象 grid_virtual_grid
 * 
 * @author ruoyi
 * @date 2024-09-24
 */
public class GridVirtualGrid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网格id */
    private Long gridId;

    /** 网格名 */
    @Excel(name = "网格名")
    private String gridName;

    /** 网格类型 */
    @Excel(name = "网格类型")
    private String gridType;

    /** 是否个人 */
    @Excel(name = "是否个人")
    private String hasRetail;

    /** 是否企业 */
    @Excel(name = "是否企业")
    private String hasBusiness;

    /** 是否商户 */
    @Excel(name = "是否商户")
    private String hasRetailBusiness;

    /** 分配方式;1指定 2分配引擎 */
    @Excel(name = "分配方式;1指定 2分配引擎")
    private String gridAssignType;

    /** 网格责任类型;1责任 2竞争 */
    @Excel(name = "网格责任类型;1责任 2竞争")
    private String gridDutyType;

    /** 所在机构 */
    @Excel(name = "所在机构")
    private Long deptId;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private String deleteFlag;

    public void setGridId(Long gridId) 
    {
        this.gridId = gridId;
    }

    public Long getGridId() 
    {
        return gridId;
    }
    public void setGridName(String gridName) 
    {
        this.gridName = gridName;
    }

    public String getGridName() 
    {
        return gridName;
    }
    public void setGridType(String gridType) 
    {
        this.gridType = gridType;
    }

    public String getGridType() 
    {
        return gridType;
    }
    public void setHasRetail(String hasRetail) 
    {
        this.hasRetail = hasRetail;
    }

    public String getHasRetail() 
    {
        return hasRetail;
    }
    public void setHasBusiness(String hasBusiness) 
    {
        this.hasBusiness = hasBusiness;
    }

    public String getHasBusiness() 
    {
        return hasBusiness;
    }
    public void setHasRetailBusiness(String hasRetailBusiness)
    {
        this.hasRetailBusiness = hasRetailBusiness;
    }

    public String getHasRetailBusiness()
    {
        return hasRetailBusiness;
    }
    public void setGridAssignType(String gridAssignType) 
    {
        this.gridAssignType = gridAssignType;
    }

    public String getGridAssignType() 
    {
        return gridAssignType;
    }
    public void setGridDutyType(String gridDutyType) 
    {
        this.gridDutyType = gridDutyType;
    }

    public String getGridDutyType() 
    {
        return gridDutyType;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("gridId", getGridId())
            .append("gridName", getGridName())
            .append("gridType", getGridType())
            .append("hasRetail", getHasRetail())
            .append("hasBusiness", getHasBusiness())
            .append("hasRetailBusiness", getHasRetailBusiness())
            .append("gridAssignType", getGridAssignType())
            .append("gridDutyType", getGridDutyType())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
